#!/bin/sh
if [ ! -f makefile ]
then
  echo "*** mkconfig.sh: could not find 'makefile' (run './configure.sh' first')" 1>&2
  exit 1
fi
CC="`sed -e '/^CC/!d' -e 's,CC=,,' makefile`"
CFLAGS="`sed -e '/^CFLAGS/!d' -e 's,CFLAGS=,,' makefile`"
VERSION="`cat VERSION`"
cat <<EOF
#include "common.h"
const char * version_string () {
  return "$VERSION";
}
const char * compile_time_options () {
  return "$CC $CFLAGS";
}
EOF
